<?php
/*
Name: config.inc.php ("Configuration of 'Klein Design Gstebuch'")
Project: "Klein Design Gstebuch"
Use: ein kleines Gstebuch mit Features wie Administration, grafischen Features, usw.
Script copyright 2001 by Markus Klein(http://www.klein-design.de.vu)
Report bugs or errors to webmaster@kleiner-markus.de
*/

// MySQL Daten

$mysqlhost = "localhost"; // MySQL Host, meist Localhost
$mysqldb = "Datenbank"; // MySQL Datenbank
$mysqluser = "Benutzer"; // MySQL User
$mysqlpassword = "XXXXX"; // MySQL Passwort

// Allgemeine Variablen

$sitename = "Bitte Trage hier den Namen deiner Seite, z. B. 'Peters Blumenseite'"; // Name der Seite
$siteurl = "http://www.ihre-seite.de"; // Die URL der Seite
$motd = "Dieser Text erscheint als Vorspan, z. B. 'Wir haben jetzt auch ein Gstebuch und freuen uns ber jeden Eintrag! Das Gstebuch sollte aber nicht zum Diskutieren genutzt werden, dazu ist das Forum da!' oder hnliches"; // Begrungstext, der oben im gstebuch erscheint
$besitzer = "Ihr Name"; // Name des Seiten Eigentmers, wird angezeigt bei "kommentar von XY".
$webmaster_mail = "Ihre@Email-adresse.de"; // Ihre E-Mail Adresse
$duzen = 1; // Anreden der User mit 'DU'(=1) oder mit 'SIE'(=2)
$eps = 15; // Eintrge, die pro Seite gezeigt werden
$new_site_sign = 1; // Eintragungsformular auf gleicher Seite(=1) oder auf neuer Seite(=0)?
$timeoffset = 30; // Spammschutz: Wieviele Sekunden mssen bei Eintrgen von der gleichen IP liegen?(bitte in Sekunden angeben, wenn kein Spammschutz, dann bitte 0 eintragen!)
$email_webmaster = 1; // Bekommt der Webmaster eine E-Mail, sobald sich jemand ins Gstebuch eintrgt(1=ja, 0=nein);
$email_guest = 1; // Bekommt der User eine Dank Mail, wenn er sich ins Gstebuch eintrgt(1=ja, 0=nein);
$email_required = 0; // MUSS man eine E-Mail Adresse angeben(ja=1, nein=0)?
$icq_abfragen = 1; // Wird die ICQ Adresse abgefragt(ja=1, nein=0)?
$ort_abfragen = 1; // Wird der Wohnort des Users abgefragt(ja=1, nein=0)?
$gefallen_abfragen = 1; // Wird dem User eine Frage gestellt, wie ihm die Seite gefallen hat(Mglichkeiten s. unten; ja=1, nein=0)?
$html_on = 1; // Ist HTML erlaubt(ja=1, nein=0)?
$gb_code_on = 1; // Ist der GB Code erlaubt(ja=1, nein=0)?
$img_tag = 1; // Ist der sog. [IMG]- Tag, der das einbinden von Bildern erlaubt, aktiviert?
$auto_link = 1; // Soll eine Buchstabenkombination wie z. B. www.klein-design.de.vu automatisch im Eintrag verlinkt werden?
$smilies = 1; // Sind Smilies erlaubt?

// Mglichkeiten bei 'Wie hat Ihnen die Seite gefallen?'

$gefallen1 = "Die beste Seite des Universums"; // Mglichkeit 1
$gefallen2 = "Gut"; // Mglichkeit 2
$gefallen3 = "Wei nicht"; // Mglichkeit 3
$gefallen4 = "Naja"; // Mglichkeit 4
$gefallen5 = "Schlecht"; // Mglichkeit 5
$gefallen6 = "Ich bin blind!"; // Mglichkeit 6

// Farb und Texteinstellungen - Hilfe gibt es auf www.selfhtml.net!

# Allgemein
$tbl_bgcolor1 = "#C0C0C0"; // Hintergrundfarbe 1. Tabelle(=Kontaktleiste, alle Erklrungen)
$tbl_bgcolor2 = "#606060"; // Hintergrundfarbe 2. Tabelle(=Gstebuch Eintrag und alle Formularfelder)
$tbl_fontcolor1 = "#000000"; // Schriftfarbe fr 1. Tabelle
$tbl_fontcolor2 = "#FFFFFF"; // Schriftfarbe fr 2. Tabelle
$hintergrund_farbe = ""; // Allgemeine Hintergrundfarbe(ges. Seite)
$hintergrundbild = "FFFFFF"; // Hintergrundbild(falls nicht, bitte leer lassen!)
$fontcolor = "#000000"; // Generelle Schriftfarbe
$fontface = "Tahoma, Verdena, Arial"; // Schriftart, z. B. Arial
$fontsize = "10"; // Schriftgre
$fontsize_einheit = "pt"; // Schriftgreneinheit. pt oder px!
$bordercolor = "#000000"; // Die allg. Rahmenfarbe
# Links
$link = "#0000FF"; // Normaler Link
$link_decoration = "none"; // Link Dekoration: none, underline oder uverline
$link_visited = "#0000FF"; // Besucher Link
$link_visited_decoration = "none"; // Besuchter Link Dekoration
$link_active = "#FF0000"; // Aktiver Link
$link_active_decoration = "none"; // Aktiver Link Dekoration
$link_hover = "#FF0000"; // Hover Link(beim drberfahren)
$link_hover_decoration = "none"; // Hover Link Dekoration
$link_fontface = "Tahoma, Verdena, Arial"; // Schriftart fr Links
# Formulare
$form_background_color = "#CCCCCC"; // Hintergrundfarbe der Formulare
$form_font = "Tahoma, Verdena, Arial"; // Schriftart im Formularfeld
$form_fontsize = "10"; // Schriftgre in Formularfelder
$form_fontcolor = "#000000"; // Schriftfarbe im Formularfeld
$form_borderstyle = "ridge"; // Rahmenstil, z. B. none, solid, ridge, groove, outset, inset, usw.

// Smilies, GB code, usw. - bitte nicht ndern!
# Allgemein - BITTE JA NICHTS NDERN, DA SONST DAS GSTEBUCH NICHT MEHR GEHT!!
$message = AddSlashes($message);
$zeitstempel = time();
$ip = getenv("REMOTE_ADDR");
$message = str_replace("\r\n","<br>",$message);
#HTML
if ($html_on == 0)
{
$message = str_replace("<","&lt;", $message);
$message = str_replace(">","&gt;", $message);
}
#Smilies
if ($smilies == 1)
{
$message = str_replace(":)","<img src=\"smilies/smile.gif\" alt=\"\">", $message);
$message = str_replace(":(","<img src=\"smilies/frown.gif\" alt=\"\">", $message);
$message = str_replace(":D","<img src=\"smilies/biggrin.gif\" alt=\"\">", $message);
$message = str_replace(";D","<img src=\"smilies/biggrin2.gif\" alt=\"\">", $message);
$message = str_replace(":cool:","<img src=\"smilies/cool.gif\" alt=\"\">", $message);
$message = str_replace(":mad:","<img src=\"smilies/mad.gif\" alt=\"\">", $message);
$message = str_replace(":heul:","<img src=\"smilies/heul.gif\" alt=\"\">", $message);
$message = str_replace(":-p","<img src=\"smilies/tongue.gif\" alt=\"\">", $message);
$message = str_replace("O:-)","<img src=\"smilies/heiligenschein.gif\" alt=\"\">", $message);
$message = str_replace(":rolleyes:","<img src=\"smilies/rolleyes.gif\" alt=\"\">", $message);
$message = str_replace(":prost:","<img src=\"smilies/prost.gif\" alt=\"\">", $message);
$message = ereg_replace ("[^a-zA-Z0-9];\)","<img src=\"smilies/wink.gif\" alt=\"\">", $message);
}
if ($gb_code_on == 1)
{
$message = str_replace("[b]","<b>", $message);
$message = str_replace("[/b]","</b>", $message);
$message = str_replace("[i]","<i>", $message);
$message = str_replace("[/i]","</i>", $message);
$message = str_replace("[u]","<u>", $message);
$message = str_replace("[/u]","</u>", $message);
}
if ($auto_link == 1)
{
$message = eregi_replace("([ \r\n])http://([^ ,\r\n]*)","\\1[url]http://\\2[/url]",$message);
$message = eregi_replace("([ \r\n])https://([^ ,\r\n]*)","\\1[url]https://\\2[/url]",$message);
$message = eregi_replace("([ \r\n])ftp://([^ ,\r\n]*)","\\1[url]ftp://\\2[/url]",$message);
$message = eregi_replace("([ \r\n])www.([^ ,\r\n]*)","\\1[url]http://www.\\2[/url]",$message);
$message = eregi_replace("^http://([^ ,\r\n]*)","[url]http://\\1[/url]",$message);
$message = eregi_replace("^https://([^ ,\r\n]*)","[url]https://\\1[/url]",$message);
$message = eregi_replace("^ftp://([^ ,\r\n]*)","[url]ftp://\\1[/url]",$message);
$message = eregi_replace("^www.([^ ,\r\n]*)","[url]http://www.\\1[/url]",$message);
}
if ($gb_code_on == 1)
{
$message = eregi_replace("\\[url\\]www.([^\\[]*)\\[/url\\]","<a href=\"http://www.\\1\" target=\"_blank\"><font size=\"-1\">\\1</font></a>",$message);
$message = eregi_replace("\\[url\\]([^\\[]*)\\[/url\\]","<a href=\"\\1\" target=_blank><font size=\"-1\">\\1</font></a>",$message);
$message = eregi_replace("\\[url=\&quot;","[url=\"",$message);
$message = eregi_replace("\\[url=([^\\[]*)\\]([^\\[]*)\\[\\/url\\]","<a href=\"\\1\" target=\"_blank\">\\2</a>",$message);
}
if ($img_tag == 1)
{
$message = str_replace("[img]","<img src=\"",$message);
$message = str_replace("[/img]","\" border=0> ",$message);
}


// MySQL Connection Befehle - Hier bitte nichts ndern!

function connect()
{
        global $mysqlhost, $mysqluser, $mysqlpassword, $mysqldb;
                if (!mysql_connect($mysqlhost, $mysqluser, $mysqlpassword)) {
                        echo "Die Datenbank kann im Moment gerade nicht erreicht werden. Bitte wende dich an den Administrator der Seite!";
                        exit;
                }
        mysql_select_db($mysqldb);
        echo mysql_error();
}

connect();
?>